function newSprt02080Control(pageName, doctx="[data-doctx='sprt02080']", mainPageName="sprt02010") {
    let ctrlCvlcptDscsn = new DatasetControl({
          doctx: doctx
        , prefix: "cvlcptDscsn"
        , prefixName: "민원상담"
        , dataGetter: obj => obj["cvlcptDscsns"]
        , keys: ["CVLCPT_DSCSN_ID"]
        , appendData: true
        , infoSize: "lg"
        , urls: {
              load: "/list.do"
            , getInfo: "/info.do"
        }
        , formats: {
              REG_DT: datetimeFormat
            , MDFCN_DT: datetimeFormat
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // Dataset 변경 이벤트
    ctrlCvlcptDscsn.onDatasetChange = (obj, option) => {
        // 데이터 셋
        let dataList = ctrlCvlcptDscsn.dataset;
        let empty = dataList.empty;

        let replacer = (str, dataItem) => str
            .replace(/{onclick}/gi, "pageObject['" + pageName + "'].ctrlCvlcptDscsn.setCurrent('{data-index}');")

        let trs = empty ?
                      [ctrlCvlcptDscsn.find("[name='tmpltNotFoundCvlcptDscsn']").innerHTML]
                    : dataList.inStrings(ctrlCvlcptDscsn.find("[name='tmpltCvlcptDscsnRows']").innerHTML, replacer);

        // dataTables(그리드)에 자료 표시 td
        $(ctrlCvlcptDscsn.find("[name='tbodyCvlcptDscsnList']")).html(trs.join());
    };

    // 현재 선택 자료 변경 이벤트
    ctrlCvlcptDscsn.onCurrentChange = (item) => {
        Apply.fromDataset.currentRow(ctrlCvlcptDscsn.dataset, item, ctrlCvlcptDscsn.find("[name='tbodyCvlcptDscsnList']"));

        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrlCvlcptDscsn.selector("[name='frmEditCvlcptDscsn']"));
        formFields.set(ctrlCvlcptDscsn, item);
    };

    // 상세 정보 dialog
    ctrlCvlcptDscsn.getInfo = (params) => {
        if (!params) return;

        ajax.get({
              url: wctx.url("/sprt/sprt04/020/info.do")
            , data: params || {}
            , success: (resp) => {
                let dialogName = ctrlCvlcptDscsn.prefixed("Dialog");
                let dialogId = dialogName + "-" + uuid();

                dialog.open({
                      id: dialogId
                    , title: params.btnTitle
                    , size: ctrlCvlcptDscsn.infoSize
                    , content: resp
                    , init: () => {
                        $("#" + dialogId).attr("name", dialogName);
                        $("#" + dialogId).attr("data-ref-doctx", pageName);

                        AppSupport.setDialogZindex();
                    }
                    , onClose: () => { pageObject[pageName].fnRefresh(); }      // 정보 새로고침
                });
            }
        });
    }

    // 삭제 callback
    ctrlCvlcptDscsn.onRemove = (params, resp) => {
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, params.btnTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { pageObject[pageName].fnRefresh(); }           // 정보 새로고침
            }
        });
    }

    // 삭제
    ctrlCvlcptDscsn.remove = (params) => {
        if (!params) return;

        ajax.post({
              url: wctx.url("/sndb/sndb01/220/remove.do")
            , data: params || {}
            , success: (resp) => { ctrlCvlcptDscsn.onRemove(params, resp); }
        });
    }

    return ctrlCvlcptDscsn;
}
